weka.classifiers.rules.part

## Class C45PruneableDecList

- java.lang.Object
- - weka.classifiers.rules.part.ClassifierDecList
  - - weka.classifiers.rules.part.C45PruneableDecList

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class C45PruneableDecList
      extends ClassifierDecList

  Class for handling a partial tree structure pruned using C4.5's pruning heuristic.
  Version:
    $Revision: 10153 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C45PruneableDecList(ModelSelection toSelectLocModel, double cf, int minNum)` Constructor for pruneable tree structure.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildDecList(Instances data, boolean leaf)` Builds the partial tree without hold out set.
    `double` | `getEstimatedErrorsForLeaf()` Computes estimated errors for leaf.
    `java.lang.String` | `getRevision()` Returns the revision string.

    - ### Methods inherited from class weka.classifiers.rules.part.ClassifierDecList

      `buildRule, chooseIndex, chooseLastIndex, classifyInstance, cleanup, distributionForInstance, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C45PruneableDecList

          public C45PruneableDecList(ModelSelection toSelectLocModel,
                                     double cf,
                                     int minNum)
                              throws java.lang.Exception

      Constructor for pruneable tree structure. Stores reference to associated training data at each node.
      Parameters:
        `toSelectLocModel` - selection method for local splitting model
        `cf` - the confidence factor for pruning
        `minNum` - the minimum number of objects in a leaf
      Throws:
        `java.lang.Exception` - if something goes wrong

  - ### Method Detail

    - #### buildDecList

          public void buildDecList(Instances data,
                                   boolean leaf)
                            throws java.lang.Exception

      Builds the partial tree without hold out set.
      Overrides:
        `buildDecList` in class `ClassifierDecList`
      Throws:
        `java.lang.Exception` - if something goes wrong

    - #### getEstimatedErrorsForLeaf

          public double getEstimatedErrorsForLeaf()

      Computes estimated errors for leaf.

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `ClassifierDecList`
      Returns:
        the revision